Fehlerbehebung für Node.js-Pakete

Hier finden Sie nützliche Informationen über die schrittweise Fehlerbehebung in Verbindung mit Node.js-Paketen in Artifact Registry.

Eine vorhandene Version eines Pakets kann nicht überschrieben werden

Sie können jeweils nur eine bestimmte Version eines Pakets veröffentlichen. Dies ist eine npm-Einschränkung, um dafür zu sorgen, dass der Inhalt einer veröffentlichten Paketversion immer identisch ist und um Manipulationen bei Abhängigkeiten zu vermeiden.

Folgendes ist dann nicht möglich:

  • Überschreiben einer Paketversion durch erneutes Veröffentlichen im Repository.
  • Entfernen eines Pakets oder seiner Version aus dem Repository und Veröffentlichen eines Pakets mit demselben Namen und derselben Versionsnummer.

Mit Tags können Sie die Installation von Paketen in einer bestimmten Entwicklungsphase optimieren. Informationen zum Arbeiten mit Tags beim Veröffentlichen und Installieren des Pakets finden Sie unter Node.js-Pakete verwalten.